News:

SimuTranslator
Make Simutrans speak your language.

Tutorial scenario reports script errors

Started by Matthew, April 02, 2024, 07:19:57 PM

Previous topic - Next topic

0 Members and 1 Guest are viewing this topic.

Matthew

Steps to reproduce

1. Install Simutrans with pak128.
2. Load the tutorial scenario.
3. Note that all the tabs of the scenario briefing only contain the word "(null)"
4. Click on a building.

Expected result

The building's Info Window opens.

Actual result

The building's Info Window opens and so does an error window reporting "An error occurred within a script!"

Animated example



Setup
Simutrans 123.0.1 r10421
Steam
Kubuntu 22.04

Notes

I was alerted to this problem by this Reddit post from a new player.

I suspect that the tutorial is supposed to start with some kind of instruction, but it's so long since I've opened it that I'm not certain.

I don't know whether this bug is specific to the Steam version or not; I just happened to have the Steam version installed.

P.S. Nightly not affected?

I tried to reproduce this using the Nightly version provided via Steam, r11101. I could not, but I got a message saying "This Scenario is not compatible with your pakset or version of simutrans."
(Signature being tested) If you enjoy playing Simutrans, then you might also enjoy watching Japan Railway Journal
Available in English and simplified Chinese
如果您喜欢玩Simutrans的话,那么说不定就想看《日本铁路之旅》(英语也有简体中文字幕)。

Yona-TYT

I'm afraid you are using a very old simutras revision, according to the title bar it is using "r10421".

Screenshot_2024-04-02-21-14-33-690_com.android.chrome-edit.jpg

Yona-TYT

QuoteI tried to reproduce this using the Nightly version provided via Steam, r11101. I could not, but I got a message saying "This Scenario is not compatible with your pakset or version of simutrans."


I have a concern with the version comparator, it is possible that it may crash on steam or future versions.


I don't know how to test since I would only know when trying a new version of simutrans.

Matthew

Quote from: Yona-TYT on April 03, 2024, 01:17:46 AMI'm afraid you are using a very old simutras revision, according to the title bar it is using "r10421".

Screenshot_2024-04-02-21-14-33-690_com.android.chrome-edit.jpg

This is 123.0.1, which is the latest official release.

According to the scenario.nut file, Steam is distributing tutorial version 1.6.20.

Since they are both older versions, they should work together, shouldn't they?
(Signature being tested) If you enjoy playing Simutrans, then you might also enjoy watching Japan Railway Journal
Available in English and simplified Chinese
如果您喜欢玩Simutrans的话,那么说不定就想看《日本铁路之旅》(英语也有简体中文字幕)。

Yona-TYT

Quote from: Matthew on April 03, 2024, 11:02:23 PMThis is 123.0.1, which is the latest official release.

According to the scenario.nut file, Steam is distributing tutorial version 1.6.20.

Since they are both older versions, they should work together, shouldn't they?
Yes they should, but if the version comparison says that it is not compatible, it may be that in that version there was case sensitivity in the version names and pak128 changed to Pak128.